L = 1.5*10^-4;
Z = 25*10^-4;
un = 600;
Na = 10^16;
dox = 500*10^-8;
Qss = 10^11;
phiMS = -1.13;
V = 5;
kT = 26*10^-3; //in eV
q = 1.6*10^-19;
ni = 1.5*10^10;
eps0 = 8.85*10^-14; //in F/m
eps = 11.9*eps0;
eps1 = 3.9*eps0;
phiF = kT*log(Na/ni);
disp(phiF,"The Fermi level position (in V) for the device = ")
Cox = eps/dox;
Vfb = phiMS - 0.23;
disp(Vfb,"The flat band voltage (in V) = ")
Qs = (4*eps*phiF*q*Na)^0.5;
Vt = Vfb + 2*phiF + (Qs*dox/eps1);
disp(Vt,"The threshold voltage (in V) = ")
Id = Z*un*eps1*(V-Vt)^2/(2*L*dox);
disp(Id,"The saturation current (in A) = ")